#include <msp430g2553.h>
#include <signal.h>

#pragma vector=PORT1_VECTOR		//vektor preruseni
__interrupt void Port_1 (void)
{
	volatile unsigned int i;
	P1OUT ^= (BIT0) ; // LED 1.0
		
		i = 40000;						//casova smycka
		do (i--);
		while (i != 0);
		P1IFG = 0;		//nulovani P1IFG registru, ze se preruseni skoncilo
}

void main(void)
{
	WDTCTL = WDTPW + WDTHOLD; 	//stop watchdog
	P1DIR |= (BIT0);		//nastaveni vystupu/portu pro LED1(P1.0)
	P1OUT |= BIT0;			
	
	P1DIR &= ~BIT3;                     // tlacitko jako vstup
	P1OUT |= BIT3;                      // pull-up rezistor
	P1REN |= BIT3;                      // povoleni rezistoru
	P1IE |= BIT3;			// povoleni preruseni
	P1IES |= BIT3;			// povoleni preruseni
	
	
	_BIS_SR (LPM3_bits + GIE);	// povoleni globalniho preruseni


	
	while(1)					//nekonecna smycka
	{
	P1OUT ^= BIT0;			//negace led
	}
		


}
